<?php
## Fonctions qui doivent être disponible tout le temps dans le namespace global

use nur\config;
use nur\v\bs3\Bs3PageContainer;
use nur\v\page;

# pour compatibilité, il est possible de ne pas définir ces fonctions
if (!defined("NO_AUTOLOAD_NUR_BASE")) {
  /** définir $name s'il n'est pas encore défini */
  function definem($name, $value): void {
    if (!defined($name)) define($name, $value);
  }

  # nur\debug
  function Txx(...$values): void { nur\debug::log(...$values); }

  # nur
  function q($vs): iterable { return nur\c::q($vs); }
}

class nur_v_bs3 {
  static function init(): void {
    config::set_fact("nur/v-bs3");
    config::init_configurator(new class {
      /** cf {@link Bs3PageContainer::initToolkit()} */
      function configure__initial(): void {
        page::set_container_class(Bs3PageContainer::class);
      }
    });
  }
}
